; HideWindow.ahk (c) r0lZ, 2018 - Freeware
version := 0.1

#NoTrayIcon
#NoEnv
#SingleInstance force
#UseHook off
DetectHiddenWindows, off

if 0 = 0
	Goto, Usage
if 1 = /?
	Goto, Usage
if 1 = -h
	Goto, Usage
if 1 = --help
	Goto, Usage

if 0 > 1
{
	delay = %2%
	if (delay is not integer)
		Goto, Usage
	delay := delay * -1000
} else {
	delay := -5000
}
if 0 > 2
{
	tmm = %3%
	if (tmm != 1 && tmm != 2 && tmm != 3 && tmm != "RegEx") {
		Goto, Usage
	}
} else {
	tmm := 3
}
SetTitleMatchMode, %tmm%

if (Delay < 0) {
	SetTimer, Abort, %delay%
}

WinGetActiveTitle, oldwin
WinWait, %1%
WinHide, %1%
Try
{
	WinActivate, %oldwin%
}

Abort:
Exit, 0

Usage:
MsgBox, 0, HideWindow, HideWindow v%version%`nA CLI Autohotkey script to hide any window (c) 2018 r0lZ - Freeware`n`nUsage: HideWindow "Window Title" [Delay_in_seconds [Title_match_mode]]`n`nWindow Title is used to identify the window to close.`n`nThe tool is closed automatically if the window is not opened within the specified Delay.  0 to disable and wait for the window forever.  Default 5 seconds.`n`nTitle Match Mode can be:`n1 : A window's title must start with the specified WinTitle to be a match.`n2 : A window's title can contain WinTitle anywhere inside it to be a match.`n3 : A window's title must exactly match WinTitle to be a match.`nRegEx : WinTitle is a regular expression.`nDefault: 3 (Exact match)
Exit
