@rem Build BD3D2MK3D.exe from BD3D2MK3D.tcl and MPLSParser.tcl
@rem
@rem IMPORTANT: Due to limitations in freewrap, it is necessary to hardcode
@rem the path to the src directory (containing MPLSParser.tcl) in BD3D2MK3D.tcl.
@rem If MPLSParser.tcl is not in /NoInstall/BD3D2MK3D/src/, you MUST edit that
@rem path at the beginning of BD3D2MK3D.tcl.

@del BD3D2MK3D.exe
@if exist BD3D2MK3D.exe goto failed
"D:\Tcl\freeWrap\freewrap.exe" BD3D2MK3D.tcl -i "D:\Tcl\work\BD3D2MK3D\workfiles\def.ico" -f tclx_list.txt
@echo off
if not exist BD3D2MK3D.exe goto failed
del /Q zia*
cd ..
del BD3D2MK3D.exe
if exist BD3D2MK3D.exe goto failed
move src\BD3D2MK3D.exe .

if exist "src_old.7z" del "src_old.7z"
if exist "src.7z" ren "src.7z" "src_old.7z"
"C:\Program Files\7-Zip\7z.exe" a src.7z src -x!src\*.cfg -x!src\*.bak -x!src\*.ini -x!src\zib* -x!src\*Copy* -x!src\tmp* toolset\MPLSParser.tcl toolset\SRTtoASS3D.tcl toolset\AVC3Dmodifier.tcl

if exist "BD3D2MK3D.7z" del "BD3D2MK3D.7z"
@cd ..
"C:\Program Files\7-Zip\7z.exe" a BD3D2MK3D\BD3D2MK3D.7z BD3D2MK3D\BD3D2MK3D.exe BD3D2MK3D\history.txt BD3D2MK3D\toolset BD3D2MK3D\src.7z -x!*.cfg -x!BD3D2MK3D\toolset\*.cfg -x!BD3D2MK3D\toolset\*.ini -x!BD3D2MK3D\toolset\MVCSource.dll -x!BD3D2MK3D\toolset\DGMVCDecode.dll  -x!BD3D2MK3D\toolset\plugins64bit\DGMVCDecode.dll
@cd BD3D2MK3D

goto end

:failed
echo **********************************************
echo ERROR: BD3D2MK3D.exe not successfully wrapped!
echo **********************************************

:end
@echo.
@echo Are you sure you have updated the x264 and x265 binaries?
@echo If you release BD3D2MK3D.7z, DO NOT FORGET TO UPLOAD CurrentVersion.tcl too!
@echo.
@pause
start "" .
